# Google Partners API . clientMessages

## Instance Methods

Logs a generic message from the client, such as `Failed to render component`, `Profile page is running slow`, `More than 500 users have accessed this result.`, etc.

### Method Details

`log(body, x__xgafv=None)`

    Logs a generic message from the client, such as `Failed to render component`, `Profile page is running slow`, `More than 500 users have accessed this result.`, etc.

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    { # Request message for LogClientMessage.
        "clientInfo": { # Map of client info, such as URL, browser navigator, browser platform, etc.
          "a_key": "A String",
        },
        "requestMetadata": { # Common data that is in each API request. # Current request metadata.
          "locale": "A String", # Locale to use for the current request.
          "partnersSessionId": "A String", # Google Partners session ID.
          "trafficSource": { # Source of traffic for the current request. # Source of traffic for the current request.
            "trafficSubId": "A String", # Second level identifier to indicate where the traffic comes from. An identifier has multiple letters created by a team which redirected the traffic to us.
            "trafficSourceId": "A String", # Identifier to indicate where the traffic comes from. An identifier has multiple letters created by a team which redirected the traffic to us.
          },
          "userOverrides": { # Values to use instead of the user's respective defaults. These are only honored by whitelisted products. # Values to use instead of the user's respective defaults for the current request. These are only honored by whitelisted products.
            "userId": "A String", # Logged-in user ID to impersonate instead of the user's ID.
            "ipAddress": "A String", # IP address to use instead of the user's geo-located IP address.
          },
          "experimentIds": [ # Experiment IDs the current request belongs to.
            "A String",
          ],
        },
        "details": "A String", # Details about the client message.
        "level": "A String", # Message level of client message.
      }

      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # Response message for LogClientMessage.
        "responseMetadata": { # Common data that is in each API response. # Current response metadata.
          "debugInfo": { # Debug information about this request. # Debug information about this request.
            "serverTraceInfo": "A String", # Server-side debug stack trace.
            "serviceUrl": "A String", # URL of the service that handled this request.
            "serverInfo": "A String", # Info about the server that serviced this request.
          },
        },
      }